#/function game:repeat

#Scoreboards:
#1 = Mine Snow Layer (1 Value)
#2 = Dig Snow Block (2 Value)
#3 = Mine Packed Ice (3 Value)
#4 = Mine Ice (Gives Haste)
#5 = Global Spendings
#6 = Time Remaining Before the Storm
#7 = 20 ticks = 1 second timer
#8 = Starter Shovel
#9 = Haste Level
#10 = Snow Layer Value
#11 = Snow Block Value
#12 = Packed Ice Value
#13 = Spending
#14 = Winter Wonder Key Pieces Remaining
#15 = Winter Wonder Open Box
#16 = Winter Key In Hand

title @a actionbar [{"text":"Winter Spendings: ","color":"blue"},{"score":{"name":"@e[type=armor_stand,name=5]","objective":"5"}},{"text":" | ","color":"white"},{"text":"Winter Wonder Key Pieces Remaining: ","color":"aqua"},{"score":{"name":"@e[type=armor_stand,name=5]","objective":"14"},"color":"aqua"},{"text":" | ","color":"white"},{"text":"Time Remaining: ","color":"red"},{"score":{"name":"@e[type=armor_stand,name=5]","objective":"6"},"color":"red"}]
execute @a[m=0] ~ ~ ~ detect ~ 0 ~ obsidian 0 gamemode a @s
execute @a[m=2] ~ ~ ~ detect ~ 0 ~ bedrock 0 gamemode s @s
scoreboard players set @a 10 1 {SelectedItem:{tag:{display:{Lore:["§7Snow Layer Value x2"]}}}}
scoreboard players set @a 10 2 {SelectedItem:{tag:{display:{Lore:["§7Snow Layer Value x3"]}}}}
scoreboard players set @a 10 9 {SelectedItem:{tag:{display:{Lore:["§7Snow Layer Value x10"]}}}}
scoreboard players set @a 11 1 {SelectedItem:{tag:{display:{Lore:["§7Snow Block Value x2"]}}}}
scoreboard players set @a 11 2 {SelectedItem:{tag:{display:{Lore:["§7Snow Block Value x3"]}}}}
scoreboard players set @a 11 4 {SelectedItem:{tag:{display:{Lore:["§7Snow Block Value x5"]}}}}
scoreboard players set @a 12 1 {SelectedItem:{tag:{display:{Lore:["§7Packed Ice Value x2"]}}}}
scoreboard players set @a 12 4 {SelectedItem:{tag:{display:{Lore:["§7Packed Ice Value x5"]}}}}
execute @a ~ ~ ~ scoreboard players operation @s[score_1_min=1] 1 += @s[score_1_min=1] 10
execute @a ~ ~ ~ scoreboard players operation @s[score_2_min=1] 1 += @s[score_2_min=1] 11
execute @a ~ ~ ~ scoreboard players operation @s[score_3_min=1] 1 += @s[score_3_min=1] 12
scoreboard players operation 0d38164a-a45f-4221-a2d3-1aeac75a1ab9 5 += @a 1
scoreboard players operation 0d38164a-a45f-4221-a2d3-1aeac75a1ab9 5 += @a 2
scoreboard players operation 0d38164a-a45f-4221-a2d3-1aeac75a1ab9 5 += @a 2
scoreboard players operation 0d38164a-a45f-4221-a2d3-1aeac75a1ab9 5 += @a 3
scoreboard players operation 0d38164a-a45f-4221-a2d3-1aeac75a1ab9 5 += @a 3
scoreboard players operation 0d38164a-a45f-4221-a2d3-1aeac75a1ab9 5 += @a 3
scoreboard players operation 0d38164a-a45f-4221-a2d3-1aeac75a1ab9 5 -= @e[type=armor_stand,name=5] 13
scoreboard players set @e[type=armor_stand,name=5] 13 0
execute @a[score_1_min=1] ~ ~ ~ scoreboard players remove @e[type=armor_stand,name=5] 14 1
execute @a[score_2_min=1] ~ ~ ~ scoreboard players remove @e[type=armor_stand,name=5] 14 1
execute @a[score_3_min=1] ~ ~ ~ scoreboard players remove @e[type=armor_stand,name=5] 14 1
execute @e[type=armor_stand,name=5,score_14=0] ~ ~ ~ execute @r[m=!3] ~ ~ ~ function game:key
execute @e[type=armor_stand,name=5,score_14=0] ~ ~ ~ scoreboard players add @a 9 1
scoreboard players set @e[type=armor_stand,name=5,score_14=0] 14 1000
scoreboard players set @a 1 0
scoreboard players set @a 2 0
scoreboard players set @a 3 0
effect @a[score_4_min=1] 3 2 100 true
execute @a[score_4_min=1] ~ ~ ~ particle snowshovel ~ ~ ~ 1 1 1 0 40 normal
scoreboard players set @a[score_4_min=1] 4 0
scoreboard players add @a 9 0
effect @a[score_9=0,score_9_min=0] 4 1 1 true
effect @a[score_9=1,score_9_min=1] 4 1 0 true
effect @a[score_9=3,score_9_min=3] 3 1 0 true
effect @a[score_9=4,score_9_min=4] 3 1 1 true
effect @a[score_9=5,score_9_min=5] 3 1 2 true
effect @a[score_9_min=6] 3 1 3 true
effect @e[type=villager] 14 10000 0 true
effect @e[type=villager] 11 10000 4 true
particle snowshovel 8 25 0 0.5 0.5 0.5 0 2 normal
particle witchMagic 8 25 0 0.5 0.5 0.5 0.02 1 normal
scoreboard players set @a 16 2 {SelectedItem:{id:"minecraft:tripwire_hook",tag:{display:{Name:"§bWinter Wonder Key"}}}}
scoreboard players remove @a[score_16_min=1] 16 1
scoreboard players add @a 16 0
execute @a[score_15_min=1] ~ ~ ~ function game:openkey
scoreboard players set @a 15 0
scoreboard players remove @a[score_10_min=1] 10 1
scoreboard players set @a 11 0
scoreboard players set @a 12 0
scoreboard players add @a[score_sneaktime_min=1] malicetime 1 {SelectedItem:{tag:{display:{Lore:["§7Malice I"]}}}}
scoreboard players set @a sneaktime 0
effect @a[score_malicetime_min=200] 5 5 255 true
effect @a[score_malicetime_min=200] 1 5 10 true
execute @a[score_malicetime_min=200] ~ ~ ~ particle happyVillager ~ ~ ~ 1 1 1 0 100 normal
execute @a[score_malicetime_min=200] ~ ~ ~ playsound minecraft:entity.enderdragon.ambient master @a ~ ~ ~ 1 2 1
scoreboard players set @a[score_malicetime_min=200] malicetime 0
execute @e[type=armor_stand,name=5,score_ff_min=1,score_ff=1] ~ ~ ~ gamemode 1 @a[m=!3]
execute @e[type=armor_stand,name=5,score_ff_min=1,score_ff=1] ~ ~ ~ scoreboard players set @s 6 0
execute @e[type=armor_stand,name=5,score_6=0,score_6_min=0] ~ ~ ~ function game:storm
execute @e[type=bat,name=storm] ~ ~ ~ particle hugeexplosion ~ ~ ~ 1 10 1 0 2 normal
scoreboard players add @e[type=armor_stand,name=5,score_ff_min=1] hell 1
execute @e[type=armor_stand,name=5,score_hell_min=200] ~ ~ ~ execute @e[type=bat,name=storm] ~ ~ ~ function game:snowstorm
scoreboard players add @e[type=armor_stand,name=5,score_6_min=0,score_6=3600] 7 1
scoreboard players remove @e[type=armor_stand,score_7_min=20] 6 1
scoreboard players remove @e[type=armor_stand,score_7_min=20] 7 20
execute @e[type=bat,name=storm] ~ ~ ~ fill ~3 ~ ~3 ~-3 55 ~-3 air
entitydata @e[type=creeper,name=Creeper] {CustomName:"§bWinter Bomb",powered:1b}
entitydata @e[type=zombie,name=Zombie] {CustomName:"§bWinter Corpse",ArmorItems:[{},{},{},{id:"minecraft:ice",Count:1b}],Attributes:[{Name:generic.maxHealth,Base:40},{Name:generic.movementSpeed,Base:0.3},{Name:generic.followRange,Base:30}],Health:40.0f}
execute @e[type=spider] ~ ~ ~ effect @a[m=!3,r=4] blindness 2 0 true
entitydata @e[type=stray,name=Stray] {CustomName:"§bWinter Bones",ArmorItems:[{},{},{},{id:"minecraft:ice",Count:1b}],Attributes:[{Name:generic.maxHealth,Base:40},{Name:generic.movementSpeed,Base:0.3},{Name:generic.followRange,Base:30}],Health:40.0f}
effect @a 23 10 0 true
gamemode 3 @a[score_deaths_min=1,m=!3]